Validate Google Vertex access
curl --request POST \
--url https://{host}/api/llm-gateway/admin/connections/google-vertex-validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "my-gcp-project",
"location": "us-central1",
"auth_type": "google_service_account",
"model_api_family": "vertex_gemini",
"target_service_account": "[email protected]",
"credentials": {},
"model": "gemini-1.5-pro"
}
'import requests
url = "https://{host}/api/llm-gateway/admin/connections/google-vertex-validate"
payload = {
"project_id": "my-gcp-project",
"location": "us-central1",
"auth_type": "google_service_account",
"model_api_family": "vertex_gemini",
"target_service_account": "[email protected]",
"credentials": {},
"model": "gemini-1.5-pro"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: 'my-gcp-project',
location: 'us-central1',
auth_type: 'google_service_account',
model_api_family: 'vertex_gemini',
target_service_account: '[email protected]',
credentials: {},
model: 'gemini-1.5-pro'
})
};
fetch('https://{host}/api/llm-gateway/admin/connections/google-vertex-validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true
}{
"error": "BadRequest",
"message": "request_timeout_secs must be between 1 and 3600"
}LLM Gateway: Credentials
Validate Google Vertex access
Fetches a token via your chosen Vertex auth method and asks Vertex about a model, confirming end-to-end that both auth and model access work before saving the credential.
POST
/
admin
/
connections
/
google-vertex-validate
Validate Google Vertex access
Authorizations
JWT obtained through Barndoor's authentication flow. Pass the token
verbatim in Authorization: Bearer <token>. Use the Barndoor SDK's
loginInteractive() helper to obtain a token in scripts and notebooks.
Body
application/json
Example:
"my-gcp-project"
Example:
"us-central1"
Defaults to google_adc if omitted
Example:
"google_service_account"
Available options:
vertex_gemini, anthropic_messages Service account to impersonate (only for google_impersonation)
Example:
Service-account JSON fields (only for google_service_account)
Optional model id used to validate end-to-end model access
Example:
"gemini-1.5-pro"
Response
Validation result
Example:
true
⌘I